/*
This is a part of the Kidnap LiteStep module source code.

Copyright (C) 2004 Erik Christiansson, aka Sci
erik@alphafish.com
www.alphafish.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef __MAIN_H_
#define __MAIN_H_

#include "../lsapi/lsapi.h"
#include <list>

struct KidnapWindow {
	HWND hWnd;
	HWND hParent;
	BOOL bClipChildren;
	RECT rPosition;
};
typedef std::list<KidnapWindow> HostageList;
typedef HostageList::iterator HostageListIter;
HostageList lHostages;

// Find windows at any level (not only top level windows)
struct FindWindowEx2Data {
	LPCSTR pszClass;
	LPCSTR pszTitle;
	HWND *phWnd;
};
HWND FindWindowEx2(LPCSTR pszClass, LPCSTR pszTitle);
BOOL CALLBACK EnumWindowsProc(HWND hWnd, LPARAM lParam);

void bangCapture(HWND hCaller, LPCSTR szArgs);
void bangRelease(HWND hCaller, LPCSTR szArgs);

extern "C"
{
	__declspec( dllexport ) int initModuleEx(HWND hParent, HINSTANCE hInstance, LPCTSTR szPath);
	__declspec( dllexport ) void quitModule(HINSTANCE hInstance);
}

#endif//__MAIN_H_